---
- name: preparing config
  set_fact: helm_config="{{ loki_helm_values|combine(loki_config_overrides, recursive=true) }}"

- name: config
  debug:
    var: helm_config

- name: creating namespace
  community.kubernetes.k8s:
    name: "monitoring"
    api_version: v1
    kind: Namespace
    state: present

- name: adding HELM repository
  community.kubernetes.helm_repository:
    name: grafana
    repo_url: https://grafana.github.io/helm-charts
  when: loki_chart is undefined

- name: deploying
  community.kubernetes.helm:
    release_name: "loki"
    chart_ref: "{{ loki_chart | default('grafana/loki-stack') }}"
    chart_version: "{{ loki_version }}"
    release_namespace: "monitoring"
    update_repo_cache: "{{ loki_chart is undefined }}"
    release_values: "{{ helm_config }}" # defaults/main.yml
    wait: yes
    wait_timeout: 10m0s
